package com.bonus.material.ma.mapper;

import java.util.List;
import com.bonus.material.ma.domain.SupplierInfo;

/**
 * 物资厂家管理Mapper接口
 * @author syruan
 */
public interface SupplierInfoMapper {
    /**
     * 根据id查询物资厂家
     * 
     * @param supplierId 物资厂家管理主键
     * @return 物资厂家管理
     */
    SupplierInfo selectSupplierInfoBySupplierId(Long supplierId);

    /**
     * 查询物资厂家管理列表
     * 
     * @param supplierInfo 物资厂家管理
     * @return 物资厂家管理集合
     */
    List<SupplierInfo> selectSupplierInfoList(SupplierInfo supplierInfo);

    /**
     * 新增物资厂家
     * 
     * @param supplierInfo 物资厂家管理
     * @return 结果
     */
    int insertSupplierInfo(SupplierInfo supplierInfo);

    /**
     * 修改物资厂家
     * 
     * @param supplierInfo 物资厂家管理
     * @return 结果
     */
    int updateSupplierInfo(SupplierInfo supplierInfo);

    /**
     * 删除物资厂家
     * 
     * @param supplierId 物资厂家管理主键
     * @return 结果
     */
    int deleteSupplierInfoBySupplierId(Long supplierId);

    /**
     * 批量删除物资厂家
     * 
     * @param supplierIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSupplierInfoBySupplierIds(Long[] supplierIds);
}
